/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Javi
 */
import java.util. ArrayList; //Importo la clase ArrayList para poder usar la lista
import java.util.Observable;
import java.util.Observer;
import java.util.ArrayList;
public class Controlador {
    private ArrayList<Jugador> mJugadores=new ArrayList();
    public void crearJugadores(JdialogJugadores frmJu,Tablero tab){
        
        if(frmJu.getJTextField1().getText().compareTo("")!=0){
            Jugador J1=new Jugador(frmJu.getJTextField1().getText(),frmJu.getJTextField2().getText());
            getMJugadores().add(J1);
        }
        if(frmJu.getJTextField3().getText().compareTo("")!=0){
            Jugador J2=new Jugador(frmJu.getJTextField3().getText(),frmJu.getJTextField4().getText());
            getMJugadores().add(J2);
        }
        if(frmJu.getJTextField5().getText().compareTo("")!=0){
            Jugador J3=new Jugador(frmJu.getJTextField5().getText(),frmJu.getJTextField6().getText());
            getMJugadores().add(J3);
        }
        if(frmJu.getJTextField7().getText().compareTo("")!=0){
            Jugador J4=new Jugador(frmJu.getJTextField7().getText(),frmJu.getJTextField8().getText());
            getMJugadores().add(J4);
        }
        if(frmJu.getJTextField9().getText().compareTo("")!=0){
            Jugador J5=new Jugador(frmJu.getJTextField9().getText(),frmJu.getJTextField10().getText());
            getMJugadores().add(J5);
        }
        if(frmJu.getJTextField11().getText().compareTo("")!=0){
            Jugador J6=new Jugador(frmJu.getJTextField11().getText(),frmJu.getJTextField12().getText());
            getMJugadores().add(J6);
        }
        if(getMJugadores().size()!=0){
            
            
            frmJu.dispose();
            
              
        }
        else{
            
        }
        
        
            
        
        
    }
    public static void main(String[] args) {
     ArrayList<Territorios> mTerritorios1=new ArrayList();
     Territorios ter1=new Territorios("Australia Oriental",1); 
     Territorios ter2=new Territorios("Indonesia",2);
     Territorios ter3=new Territorios("Nueva Guinea",3);
     Territorios ter4=new Territorios("Australia Occidental",4);
     mTerritorios1.add(ter1);
     mTerritorios1.add(ter2);
     mTerritorios1.add(ter3);
     mTerritorios1.add(ter4);
     ter1.ponerVecinos(4, 3,  0, 0, 0, 0);
     ter2.ponerVecinos(4, 3,  22, 0, 0, 0);
     ter3.ponerVecinos(1, 2,  4, 0, 0, 0);
     ter4.ponerVecinos(1, 3,  2, 0, 0, 0);
     
     ArrayList<Territorios> mTerritorios2=new ArrayList();
     Territorios ter5=new Territorios("Congo",5); 
     Territorios ter6=new Territorios("Africa Oriental ",6);
     Territorios ter7=new Territorios("Egipto",7);
     Territorios ter8=new Territorios("Madagascar ",8);
     Territorios ter9=new Territorios("Africa del Norte ",9);
     Territorios ter10=new Territorios("Sudafrica ",10);
     ter5.ponerVecinos(9, 6, 10, 0, 0, 0);
     ter6.ponerVecinos(7, 9, 5, 10, 8, 0);
     ter7.ponerVecinos(9, 6, 27, 17, 0, 0);
     ter8.ponerVecinos(10, 2, 0, 0, 0, 0);
     ter9.ponerVecinos(7, 6, 5, 27, 29, 31);
     ter10.ponerVecinos(5, 6, 8, 0, 0, 0);
     mTerritorios2.add(ter5);
     mTerritorios2.add(ter6);
     mTerritorios2.add(ter7);
     mTerritorios2.add(ter8);
     mTerritorios2.add(ter9);
     mTerritorios2.add(ter10);
     ArrayList<Territorios> mTerritorios3=new ArrayList();
     Territorios ter11=new Territorios("Afghanistan",11); 
     Territorios ter12=new Territorios("China",12);
     Territorios ter13=new Territorios("India",13);
     Territorios ter14=new Territorios("Irkutsk",14);
     Territorios ter15=new Territorios("Japon",15);
     Territorios ter16=new Territorios("Kamchatka",16);
     Territorios ter17=new Territorios("Oriente Medio",17);
     Territorios ter18=new Territorios("Mongolia",18);
     Territorios ter22=new Territorios("Siam",22);
     Territorios ter19=new Territorios("Siberia",19);
     Territorios ter20=new Territorios("Ural",20);
     Territorios ter21=new Territorios("Yakutsk",21);
     ter11.ponerVecinos(20, 16, 17, 13, 12, 0);
     ter12.ponerVecinos(22, 13, 11, 18, 20, 0);
     ter13.ponerVecinos(22, 12, 11, 17,  0, 0);
     ter14.ponerVecinos(21, 16, 19, 18, 0, 0);
     ter15.ponerVecinos(16, 18, 0, 0, 0, 0);
     ter16.ponerVecinos(21, 15, 14, 18, 0, 0);
     ter17.ponerVecinos(13, 11, 28, 7, 0, 0);
     ter18.ponerVecinos(14, 16, 15, 12, 19, 0);
     ter19.ponerVecinos(21, 14, 18, 12, 20, 0);
     ter20.ponerVecinos(11, 12, 19, 28, 0, 0);
     ter21.ponerVecinos(16, 14, 19, 0, 0, 0);
     ter22.ponerVecinos(2, 12, 13, 0, 0, 0);
     mTerritorios3.add(ter11);
     mTerritorios3.add(ter12);
     mTerritorios3.add(ter13);
     mTerritorios3.add(ter14);
     mTerritorios3.add(ter15);
     mTerritorios3.add(ter16);
     mTerritorios3.add(ter17);
     mTerritorios3.add(ter18);
     mTerritorios3.add(ter19);
     mTerritorios3.add(ter20);
     mTerritorios3.add(ter21);
     mTerritorios3.add(ter22);
     
     ArrayList<Territorios> mTerritorios4=new ArrayList();
     Territorios ter23=new Territorios("Gran Bretaña",23); 
     Territorios ter24=new Territorios("Iceland",24);
     Territorios ter25=new Territorios("Europa del Norte",25);
     Territorios ter26=new Territorios("Escandinavia",26);
     Territorios ter27=new Territorios("Europa del Sur",27);
     Territorios ter28=new Territorios("Ucrania",28);
     Territorios ter29=new Territorios("Europa Occidental",29);
     ter23.ponerVecinos(24, 29, 25, 26, 0, 0);
     ter24.ponerVecinos(23, 26, 38, 0, 0, 0);
     ter25.ponerVecinos(26, 23, 29, 27, 28, 0);
     ter26.ponerVecinos(23, 24, 25, 28, 0, 0);
     ter27.ponerVecinos(25, 28, 7, 9, 0, 0);
     ter28.ponerVecinos(26, 25, 27, 17, 11, 20);
     ter29.ponerVecinos(23, 25, 27, 9, 0, 0);
     mTerritorios4.add(ter23);
     mTerritorios4.add(ter24);
     mTerritorios4.add(ter25);
     mTerritorios4.add(ter26);
     mTerritorios4.add(ter27);
     mTerritorios4.add(ter28);
     mTerritorios4.add(ter29);
     
     
     ArrayList<Territorios> mTerritorios5=new ArrayList();
     Territorios ter30=new Territorios("Cono Sur",30); 
     Territorios ter31=new Territorios("Brasil",31);
     Territorios ter32=new Territorios("Peru",32);
     Territorios ter33=new Territorios("Colombia y Venezuela",33);
     ter30.ponerVecinos(31, 32, 0, 0, 0, 0);
     ter31.ponerVecinos(30, 32, 33, 9, 0, 0);
     ter32.ponerVecinos(30, 31, 33, 0, 0, 0);
     ter33.ponerVecinos(32, 31, 36, 0, 0, 0);
     mTerritorios5.add(ter30);
     mTerritorios5.add(ter31);
     mTerritorios5.add(ter32);
     mTerritorios5.add(ter33);
     
     ArrayList<Territorios> mTerritorios6=new ArrayList();
     Territorios ter34=new Territorios("Alaska",34); 
     Territorios ter35=new Territorios("Alberta",35);
     Territorios ter36=new Territorios("America Central",36);
     Territorios ter37=new Territorios("Estados Unidos del Este",37);
     Territorios ter38=new Territorios("Groenlandia",38);
     Territorios ter39=new Territorios("Territorios del Noroeste",39);
     Territorios ter40=new Territorios("Ontario",40);
     Territorios ter41=new Territorios("Quebec",41);
     Territorios ter42=new Territorios("Estados Unidos del Oeste ",42);
     ter34.ponerVecinos(39, 35, 16, 0, 0, 0);
     ter35.ponerVecinos(34, 39, 41, 37, 42,0);
     ter36.ponerVecinos(42, 37, 33, 0, 0, 0);
     ter37.ponerVecinos(36, 42, 35, 40, 41, 0);
     ter38.ponerVecinos(24, 41, 40, 39, 0, 0);
     ter39.ponerVecinos(34, 35, 40, 38, 0, 0);
     ter40.ponerVecinos(39, 35, 42, 37, 41, 38);
     ter41.ponerVecinos(38, 40, 37, 0, 0, 0);
     ter42.ponerVecinos(36, 42, 35, 40, 0, 0);
     mTerritorios6.add(ter34);
     mTerritorios6.add(ter35);
     mTerritorios6.add(ter36);
     mTerritorios6.add(ter37);
     mTerritorios6.add(ter38);
     mTerritorios6.add(ter39);
     mTerritorios6.add(ter40);
     mTerritorios6.add(ter41);
     mTerritorios6.add(ter42);
     
     ArrayList<Continentes> mContinentes=new ArrayList();
     Continentes oceania=new Continentes(1,mTerritorios1);
     Continentes africa=new Continentes(2,mTerritorios2);
     Continentes asia=new Continentes(3,mTerritorios3);
     Continentes europa=new Continentes(4,mTerritorios4);
     Continentes americaS=new Continentes(5,mTerritorios5);
     Continentes americaN=new Continentes(6,mTerritorios6);
     mContinentes.add(asia);
     mContinentes.add(oceania);
     mContinentes.add(africa);
     mContinentes.add(europa);
     mContinentes.add(americaS);
     mContinentes.add(americaN);
     ArrayList<Territorios> todos=new ArrayList();
     todos.addAll(mTerritorios1);
     todos.addAll(mTerritorios2);
     todos.addAll(mTerritorios3);
     todos.addAll(mTerritorios4);
     todos.addAll(mTerritorios5);
     todos.addAll(mTerritorios6);
     Tablero tab=new Tablero(42,mContinentes,todos);
     
     
     
     JframeTablero frmT= new JframeTablero(tab);
     frmT.setVisible(true);
     
     
             
             
                
                
    
                
    }

    public ArrayList<Jugador> getMJugadores() {
        return mJugadores;
    }
}
